Package org.eclipse.ecf.remoteservice.events

# Interface IRemoteCallCompleteEvent

All Superinterfaces:
  `IRemoteCallEvent`

public interface IRemoteCallCompleteEvent extends IRemoteCallEvent
Event received when remote call is complete.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getException()`
`Object`
`getResponse()`
Get response object.
`boolean`
`hadException()`
Whether remote call resulted in exception.

### Methods inherited from interface org.eclipse.ecf.remoteservice.events.IRemoteCallEvent

`getRequestId`

## Method Details

### getResponse

Object getResponse()
Get response object.

Returns:
  Object that is response to remmote call. May be `null`.

### hadException

boolean hadException()
Whether remote call resulted in exception. If returns true, then remote call ended in exception, false if no exception.

Returns:
  true if remote call ended in exception, false if no exception.

### getException

Throwable getException()

Returns:
  Throwable that was exception thrown during remote call. Will return `null` if `hadException()` returns false. Will be non-`null` if `hadException()` returns true.